%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Time-managing application for Xfce desktop environment
Name:		orage
Version:	4.18.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/apps/orage/%{url_ver}/%{name}-%{version}%{?prel:-%prel}.tar.xz
Source1: org.xfce.orage-settings.desktop
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(popt)
BuildRequires:	xfce4-dev-tools

%description
Orage is a time-managing application for the Xfce desktop environment,
featuring:

- Time-based events
- Data stored in ical format.
- Recurring appointments
- Reminder up to 2 days before the event starts
- Possibility to choose your alarm sound
- Repeating the alarm sound until you close the reminder window
- Possibility to duplicate an appointment
- Archiving system for keeping your history in different files for
  avoiding overloads in the main working file.

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
%xdt_autogen
%configure2_5x PERL=%{__perl} \
	--enable-maintainer-mode \
	--disable-static \
	--enable-archive \
	--enable-libnotify

%make_build

%install
rm -rf %buildroot
%make_install

#disable rpath in _bin
chrpath -d %{buildroot}/%{_bindir}/*

rm -rf %{buildroot}%{_datadir}/orage/doc

#fix desktopfile
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/org.xfce.orage-settings.desktop

%find_lang %{name}

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%{_bindir}
%{_datadir}

%changelog
* Thu Feb 09 2023 tex - 4.18.0-1pclos2023
- new version

* Wed Sep 14 2022 tex - 4.16.0-1pclos2022
- create pkg
